@echo off

rem mysqlインストール先を検索
set file=C:\ProgramData\MySQL\MySQL Server 5.7\my.ini
set exeFile=bin/

echo mysql.exeのディレクトリを検索します。
for /f "delims=" %%A in ('findstr basedir "C:\ProgramData\MySQL\MySQL Server 5.7\my.ini"') do set A=%%A
set Dir=%A:~11,-1%


set Dir=%Dir%%exeFile%
echo %Dir%

set USER_ID=root

echo データベースを構築します。
"%Dir%mysql" -u %USER_ID% -proot  < DB_Server.sql > out.log

PAUSE